curl --request POST \
--url https://api.qonversion.io/v4/scheduled-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_name": "Daily Revenue",
"send_at": "09:00",
"included_range_days": 1,
"status": "active",
"environment": "production",
"destinations": [
{
"type": "target_integration",
"id": "int-wh-01",
"label": "Webhooks: Release alerts"
}
]
}
'import requests
url = "https://api.qonversion.io/v4/scheduled-reports"
payload = {
"report_name": "Daily Revenue",
"send_at": "09:00",
"included_range_days": 1,
"status": "active",
"environment": "production",
"destinations": [
{
"type": "target_integration",
"id": "int-wh-01",
"label": "Webhooks: Release alerts"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_name: 'Daily Revenue',
send_at: '09:00',
included_range_days: 1,
status: 'active',
environment: 'production',
destinations: [
{type: 'target_integration', id: 'int-wh-01', label: 'Webhooks: Release alerts'}
]
})
};
fetch('https://api.qonversion.io/v4/scheduled-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qonversion.io/v4/scheduled-reports"
payload := strings.NewReader("{\n \"report_name\": \"Daily Revenue\",\n \"send_at\": \"09:00\",\n \"included_range_days\": 1,\n \"status\": \"active\",\n \"environment\": \"production\",\n \"destinations\": [\n {\n \"type\": \"target_integration\",\n \"id\": \"int-wh-01\",\n \"label\": \"Webhooks: Release alerts\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qonversion.io/v4/scheduled-reports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"report_name\": \"Daily Revenue\",\n \"send_at\": \"09:00\",\n \"included_range_days\": 1,\n \"status\": \"active\",\n \"environment\": \"production\",\n \"destinations\": [\n {\n \"type\": \"target_integration\",\n \"id\": \"int-wh-01\",\n \"label\": \"Webhooks: Release alerts\"\n }\n ]\n}")
.asString();{
"object": "scheduled_report",
"id": "wbRlfw1x",
"url": "/v4/scheduled-reports/wbRlfw1x",
"report_name": "Daily Revenue",
"send_at": "09:00",
"included_range_days": 1,
"status": "active",
"environment": "production",
"runs": 14,
"destinations": [
{
"type": "target_integration",
"id": "int-wh-01",
"label": "Webhooks: Release alerts"
}
],
"created_at": "2026-04-23T11:44:36Z",
"updated_at": "2026-04-23T11:44:36Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Create scheduled report
Creates a new scheduled report.
Authorizations
Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.
Body
1 - 255"Daily Revenue"
UTC HH:MM, aligned to 30-min slots, "00:00" to "23:30".
"09:00"
1, 3, 7 1
draft, active "active"
sandbox, production "production"
1Show child attributes
Show child attributes
Response
Scheduled report created.
A scheduled report configuration. Delivers an analytics snapshot to the
listed destinations once per day at send_at UTC, covering the prior
included_range_days days of data.
"scheduled_report"
Report identifier.
"wbRlfw1x"
"/v4/scheduled-reports/wbRlfw1x"
Human-readable name, 1-255 chars.
"Daily Revenue"
UTC time-of-day for the daily delivery, HH:MM format, aligned to
30-minute slots. Valid values range from "00:00" to "23:30".
"09:00"
Coverage window in whole days — one of 1, 3, 7.
1, 3, 7 1
draft — paused, no deliveries. active — enqueued for delivery
at each send_at.
draft, active "active"
sandbox, production "production"
Number of deliveries completed so far.
14
Show child attributes
Show child attributes
"2026-04-23T11:44:36Z"
"2026-04-23T11:44:36Z"